|  | overview |  | wiki |  | api reference |  | download

- Main Page
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Variables Typedefs Enumerations Enumerator
Public Member Functions
gameplay::PhysicsSpringConstraint Class Reference

`#include <PhysicsSpringConstraint.h>`

Inheritance diagram for gameplay::PhysicsSpringConstraint:

List of all members.

## Public Member Functions

void | setAngularDampingX (float damping)
void | setAngularDampingY (float damping)
void | setAngularDampingZ (float damping)
void | setAngularStrengthX (float strength)
void | setAngularStrengthY (float strength)
void | setAngularStrengthZ (float strength)
void | setLinearDampingX (float damping)
void | setLinearDampingY (float damping)
void | setLinearDampingZ (float damping)
void | setLinearStrengthX (float strength)
void | setLinearStrengthY (float strength)
void | setLinearStrengthZ (float strength)

## Detailed Description

Defines a generic spring constraint between two rigid bodies (or one rigid body and the world) where the spring strength and damping can be set for all six degrees of freedom.

See also:
  http://gameplay3d.github.io/GamePlay/docs/file-formats.html#wiki-Constraints

## Member Function Documentation

void gameplay::PhysicsSpringConstraint::setAngularDampingX | ( | float | damping | ) | `[inline]`

Sets the angular damping along the constraint's local X axis.

Parameters:

  damping | The angular damping value.

void gameplay::PhysicsSpringConstraint::setAngularDampingY | ( | float | damping | ) | `[inline]`

Sets the angular damping along the constraint's local Y axis.

Parameters:

  damping | The angular damping value.

void gameplay::PhysicsSpringConstraint::setAngularDampingZ | ( | float | damping | ) | `[inline]`

Sets the angular damping along the constraint's local Z axis.

Parameters:

  damping | The angular damping value.

void gameplay::PhysicsSpringConstraint::setAngularStrengthX | ( | float | strength | ) | `[inline]`

Sets the angular strength along the constraint's local X axis.

Note: setting the strength to a non-zero value enables the spring for angular movement about the X axis (setting to zero disables it).

Parameters:

  strength | The angular strength value.

void gameplay::PhysicsSpringConstraint::setAngularStrengthY | ( | float | strength | ) | `[inline]`

Sets the angular strength along the constraint's local Y axis.

Note: setting the strength to a non-zero value enables the spring for angular movement about the Y axis (setting to zero disables it).

Parameters:

  strength | The angular strength value.

void gameplay::PhysicsSpringConstraint::setAngularStrengthZ | ( | float | strength | ) | `[inline]`

Sets the angular strength along the constraint's local Z axis.

Note: setting the strength to a non-zero value enables the spring for angular movement about the Z axis (setting to zero disables it).

Parameters:

  strength | The angular strength value.

void gameplay::PhysicsSpringConstraint::setLinearDampingX | ( | float | damping | ) | `[inline]`

Sets the linear damping along the constraint's local X axis.

Parameters:

  damping | The linear damping value.

void gameplay::PhysicsSpringConstraint::setLinearDampingY | ( | float | damping | ) | `[inline]`

Sets the linear damping along the constraint's local Y axis.

Parameters:

  damping | The linear damping value.

void gameplay::PhysicsSpringConstraint::setLinearDampingZ | ( | float | damping | ) | `[inline]`

Sets the linear damping along the constraint's local Z axis.

Parameters:

  damping | The linear damping value.

void gameplay::PhysicsSpringConstraint::setLinearStrengthX | ( | float | strength | ) | `[inline]`

Sets the linear strength along the constraint's local X axis.

Note: setting the strength to a non-zero value enables the spring for linear movement along the X axis (setting to zero disables it).

Parameters:

  strength | The linear strength value.

void gameplay::PhysicsSpringConstraint::setLinearStrengthY | ( | float | strength | ) | `[inline]`

Sets the linear strength along the constraint's local Y axis.

Note: setting the strength to a non-zero value enables the spring for linear movement along the Y axis (setting to zero disables it).

Parameters:

  strength | The linear strength value.

void gameplay::PhysicsSpringConstraint::setLinearStrengthZ | ( | float | strength | ) | `[inline]`

Sets the linear strength along the constraint's local Z axis.

Note: setting the strength to a non-zero value enables the spring for linear movement along the Z axis (setting to zero disables it).

Parameters:

  strength | The linear strength value.

All Classes Functions Variables Typedefs Enumerations Enumerator